Skip to content

Determine if the user exists

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

To determine if the user exists based on the conditions, you can filter the user name, email address, mobile phone number, third-party external ID, etc.

Method name

ManagementClient.is_user_exists

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
usernamestringNo-Username, unique in the user poolbob
emailstringNo-Email address, case-insensitivetest@example.com
phonestringNo-Phone number without area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
externalIdstringNo-Third-party external ID10010

Request Response

Type: IsUserExistsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsUserExistsDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "exists": true
  }
}

Data Structure

IsUserExistsDto

NameTypeIs it requiredDescriptionExample value
existsbooleanyesdoes the user existtrue

Agent infrastructure for identity, memory, and web action.